LINUX.ORG.RU

Открытое бета-тестирование Linux-версии «Вангеров»

 , ,


0

0

После длительного закрытого тестирования бета-версия «Вангеров», портированная под Linux и FreeBSD, предстала очам сообщества.

Игра «Вангеры» по-прежнему повествует о далёком будущем. Человечество расселилось по множеству планет, воевало с инопланетянами и в результате мутировало до неузнаваемости. Игрок принадлежит к клану вангеров — бродяг-торговцев-пиратов, путешествующих на древних автомобилях между поселениями-эскэйвами по планетам и между мирами. Жанр игры определяют как «экшн-аркада-ролевая». Версия под Windows вышла в 1998 году, но до сих пор популярна.

Торрент, не требующий регистрации

Инструкция по установке и описание

>>> Релиз на rutracker.org

★★

Проверено: mono ()

Ответ на: комментарий от anonymous

>Я же написал - только Ил-2

Так тебя скриншоты Вангеров не интересуют? А чего тогда треплешься?

Если бы он был в 1998 - да, им бы интересовался. Но в то время нормального авиасимулятора не было


Su-27 Flanker в 1995-м вышел. Ну да я уже понял про твоё отношение к играм.

KRoN73 ★★★★★ ()
Ответ на: комментарий от KRoN73

> Так тебя скриншоты Вангеров не интересуют?

Из любопытства посмотрел. Остался при своем мнении и сюда его не озвучивал.

А чего тогда треплешься?

Да так, ответил на твой же трёп по поводу школьников и того, как они палятся.

Su-27 Flanker в 1995-м вышел

Предпочитаю винтокрылых. Был не только фланкер, а еще миг какой-то.

Ну да я уже понял про твоё отношение к играм.

Ясно.

anonymous ()
Ответ на: комментарий от anonymous

кто-то сказал винтокрыл? нет мне кажется кто-то точно сказал винтокрыл!

на виксов на нем не суйся колесник.

PS а мне больше нравится последний из могикан.. («где самые лучшие тусовки? - у нас в клубе!»)

anonymous ()

Докладываю: успешно запустилось, причем с первого раза под debian lenny, kde правда 4, но без свистелок. Вот такой ленни. Недостающие пакеты портировал сам.

с официального сайта clank с свн не качается, по их ссылке, ругаясь что он куда-то переехал, и оттуда тоже самое говорит впрочем. здесь где-то в постах выше был способ сборки с помощью scons там ссылка на свн работает. Хотел сделать пакет, но scons кажется не знает как устанавливать... поэтому просто скопировал как в хауту написано

libavutil именн util а не utils как указано в хауту. это кстати надо бы поправить. У меня были обе, я не стал вникать откуда, собирал как-то и последний mplayer и ffmpeg наверное в связи с этими событиями.

просто собрал и скопировал libclank и запустил 32 разрядный для убанты. Собственно у меня всего в системе 32 разряда. все сразу заработало, увидев немецкие описания вспомнил что надо скопировать ролики, что сделал в соседнем терминале, не останавливая игры, результат не заставил себя ждать.

Управление по умолчанию слегка сбито, но это решается его настройкой.

Да еще.. загадочные теневые квадратики действительно есть.. и они немного смущают.

В остальном все супер. так держать!

anonymous ()
Ответ на: комментарий от madcore

>Если не ошибаюсь, в Вангерах динамическая палитра?

Да 8 битная динамическая. Там сегменты меняются в зависимости от задачи.

stalkerg ★★★★★ ()

Отличная новость! Никак не ожидал, что Вангеров не только воскресят, но и портируют. А если и откроют...

sli ()
Ответ на: комментарий от sli

> Отличная новость! Никак не ожидал, что Вангеров не только воскресят, но и портируют. А если и откроют...

Поможете - откроют. :)

stalkerg ★★★★★ ()
Ответ на: комментарий от ctrelok13

avcodec_decode_video2 ubuntu 9.04

$ strings /usr/lib/libavcodec.so.52 | grep avcodec_decode_video
$ aptitude search ~iavcodec

что дает?

у мну оказался старый libavcodec. Вылечил пересобиранием ffmpeg:

http://ubuntuforums.org/showthread.php?t=786095 http://ubuntuforums.org/showpost.php?p=8345112&postcount=636

x264 и ffmpeg собирал c --enable-shared Новые библиотечки положились в /usr/local/lib, запускал так:

$ LD_PRELOAD=/usr/local/lib/libavcodec.so LD_LIBRARY_PATH=./:/usr/local/lib:$LD_LIBRARY_PATH ./linux64_gentoo_svn283.bin

зы: иаху!!!! :)

Vaulter ()

Под FreeBSD работает без проблем, пробовал на 7.3 (32битная) и 8.0 (64битная). Спасибо большое! Очень радует что бинарники выпускаются под разные открытые системы (последнее время я вообще замечаю что FreeBSD становилтся замечателньой игровой платформой, судя по количеству игрушек в портах, поддержке всяческих эмуляторов и тому что wine в ней работает порой лучше чем в Linux).

slovazap ★★★★★ ()
Ответ на: комментарий от Hokum

Ещё раз прошу арчеводов проверить мой pkgbuild в aur'е, есть репорты о неработоспособности :(

Hokum ☆☆☆☆ ()
Ответ на: комментарий от stalkerg

Багрепорты куда писать? :) Сэйвгеймы и конфиг файлы в каталоге с игрой, и это в XXI веке? :)

Hokum ☆☆☆☆ ()
Ответ на: комментарий от question4

>Под вайном прекратили идти в районе версии 0.9.40 (кто-то даже находил патч, после которого перестали)

У меня даже есть предположение кто... Да, каюсь, что больше после этого Вангеров как-то не тестировал :(

X-Pilot ★★★★★ ()

Woohoo! Под Fedora 11 вроде бы нормально работает, звук есть. Пока что (после 15 минут игры) только одно замечание: курсор на фоне мигающего черного фона, но это не очень значительно. В общем, еще раз - респект за проделанную работу!

X-Pilot ★★★★★ ()

Попробовал переназначить клавиши управления мехосом на KP_0-KP9, но мехос их не слушается. Управление клавишами курсора работает нормально. Куда багрепорт?

question4 ★★★★★ ()
Ответ на: комментарий от question4

> ./linux64_gentoo_svn283.bin: /usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by ./linux64_gentoo_svn283.bin)

Что ей требуется? Переключиться на более новую версию GCC?

Помогло поставить gcc-4.4.3 и переключиться на его профиль.

question4 ★★★★★ ()
Ответ на: комментарий от question4

> Попробовал переназначить клавиши управления мехосом на KP_0-KP9, но мехос их не слушается. Управление клавишами курсора работает нормально. Куда багрепорт?

Запишите на бумажке пока. Баг трекер есть но я не уверен что его можно делать публичным.

Да и сейчас всё равно, что либо править мы не будем пока не решится юр. вопрос.

stalkerg ★★★★★ ()
Ответ на: комментарий от anonymous

> Предпочитаю винтокрылых. Был не только фланкер, а еще миг какой-то.

Миг? Вы не понимаете о чём говорите. И в 1998 Warbirds уже были по моему.

Eshkin_kot ★★ ()
Ответ на: комментарий от anonymous

о. так не одна была оказывается. В 98 про нее ничего не слышал.

anonymous ()
Ответ на: комментарий от stalkerg

>Запишите на бумажке пока. Баг трекер есть но я не уверен что его можно делать публичным.

Дооо. Открытое бета тестирование удалось на славу :)

Hokum ☆☆☆☆ ()
Ответ на: Re: хрень от KRoN73

>Видишь ли, все лица, интересовавшиеся играми в конце 1990-х, прекрасно осведомлены о Вангерах.

Конкретно тогда у меня был dx2-66 и вангеры скорей всего не пошли/тормозили бы.

madcore ★★★★★ ()
Ответ на: комментарий от madcore

>Конкретно тогда у меня был dx2-66 и вангеры скорей всего не пошли/тормозили бы.

Но ты был наслышан про эту игру тогда? О ней все журналы тогда писали. И не только игровые :)

KRoN73 ★★★★★ ()
Ответ на: комментарий от Eshkin_kot

>И в 1998 Warbirds уже были по моему.

Гораздо раньше. 1995-го года она. В 1998-м уже, по-моему, в России Copper Beard работал. А к 1999..2000гг уже сотенные онлайны на этом сервере летали.

KRoN73 ★★★★★ ()
Ответ на: Re: хрень от KRoN73

хм

а сейчас модно всех школотой называть? тогда вы не далеко ушли от этого термина.

Sampoerna ★★ ()

Блин, впервые Вангеры у меня повисли... Вроде бы просто загрузился из сохранения и нажал «прервать игру». В консоли:

*** glibc detected *** ./linux32_ubuntu_svn283.bin: corrupted double-linked list: 0x08f4fa70 ***

Я надеюсь, что вы сделаете хоть какое-нибудь средство сообщения об ошибках (хоть форму на Google Docs и писать куда-нибудь об известных проблемах)

X-Pilot ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.